﻿using FarPoint.Win.Spread;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SpreadFromula1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

      

        private void copyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CopySheetsToThis(fpSpread1, fpSpread2);
        }

        public void CopySheetsToThis(FpSpread source, FpSpread destination)
        {
            fpSpread1.AsWorkbook().WorkbookSet.CalculationEngine.Rebuild();
            destination.Sheets.Clear();
            ((System.ComponentModel.ISupportInitialize)(destination)).BeginInit();

            foreach (SheetView sheet in source.Sheets)
            {
                SheetView sv = CopySheet(sheet);

                destination.Sheets.Add(CopySheet(sheet));
            }
      ((System.ComponentModel.ISupportInitialize)(destination)).EndInit();
        }

        public FarPoint.Win.Spread.SheetView CopySheet(FarPoint.Win.Spread.SheetView sheet)

        {

            FarPoint.Win.Spread.SheetView newSheet = null;

            if (sheet != null)

            {

                newSheet = (SheetView)FarPoint.Win.Serializer.LoadObjectXml(typeof(FarPoint.Win.Spread.SheetView), FarPoint.Win.Serializer.GetObjectXml(sheet, "CopySheet"), "CopySheet");

            }

            return newSheet;

        }

    }
}
